Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.scope
[Java] Class ScopeRegistrar

    java.lang.Object
      org.codehaus.groovy.grails.webflow.scope.ScopeRegistrar

All Implemented Interfaces:
  BeanFactoryPostProcessor

    public class ScopeRegistrar

Replaces Webflow ScopeRegistrar since we don't need to the RequestScope implementation of WebFlow.

Authors:
  Graeme Rocher

Since:
  1.1

Method Summary
`int` | `getOrder()`
`void` | `postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getOrder

    public int getOrder()

### postProcessBeanFactory

    @SuppressWarnings("deprecation")
    public void postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)

Groovy Documentation